class CreatePayments < ActiveRecord::Migration
  def change
    create_table :payments do |t|
      t.references :customer
      
      t.string :element_type
      t.integer :element_id
      
      t.datetime :paid_at
      t.boolean :paid

      t.string :ogone_payid                   
      t.string :ogone_pm                      
      t.string :ogone_status                  
      t.string :ogone_acceptance              
      t.string :ogone_cardno                  
      t.string :ogone_ed                      
      t.string :ogone_cn                      
      t.string :ogone_trxdate                 
      t.string :ogone_ncerror                 
      t.string :ogone_brand                   
      t.string :ogone_subbrand                
      t.string :ogone_eci                     
      t.string :ogone_ip                      
      t.string :ogone_alias                   
      t.date   :ogone_cb_expiration
      
      t.string :iban                          
      t.string :bic                           
      t.string :token        
                       
      t.string :check_number                  
      t.string :check_bank      
                    
      t.decimal  :amount, precision: 10, scale: 2
      t.integer  :payment_type_id          
      
      
      
      
      

      t.timestamps null: false
    end
  end
end
